<?php namespace Myriad\Validators;

use Illuminate\Support\ServiceProvider;

class ValidatorServiceProvider extends ServiceProvider {
  
  /**
   * Perform post-registration booting of services.
   *
   * @return void
   */
  public function boot() {
    $this->app->make('validator')->resolver(function ($translator, $data, $rules, $messages) {
      return new MyriadValidators($translator, $data, $rules, $messages);
    });
  }

  /**
   * Register the service provider.
   *
   * @return void
   */
  public function register() {
    // do nothing
  }

}
